Skip to main content
GET
/
v1
/
credit
/
repayments
List all credit repayments
curl --request GET \
  --url https://api-sandbox.circle.com/v1/credit/repayments \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
      "transferId": "b3d9d2d5-4c12-4946-a09d-953e82fae2b0",
      "amountApplied": {
        "amount": "50450.00",
        "currency": "USD"
      },
      "paymentAmount": {
        "amount": "50450.00",
        "currency": "USD"
      },
      "type": "fiat",
      "status": "completed",
      "settlementDate": "2024-04-10T09:30:00.000Z",
      "createDate": "2024-04-10T09:30:00.000Z",
      "updateDate": "2024-04-10T09:30:00.000Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

transferId
string<uuid>

Filters repayments by the associated transfer ID.

type
enum<string>

Filters repayments by type.

Available options:
fiat,
crypto
status
enum<string>

Filters repayments by their current status.

Available options:
pending,
completed,
failed
from
string<date-time>

Queries items created since the specified date-time (inclusive).

Example:

"2020-04-10T02:13:30.000Z"

to
string<date-time>

Queries items created before the specified date-time (inclusive).

Example:

"2020-04-10T02:13:30.000Z"

pageBefore
string

A collection ID value used for pagination.

It marks the exclusive end of a page. When provided, the collection resource will return the next n items before the id, with n being specified by pageSize.

The items will be returned in the natural order of the collection.

The resource will return the first page if neither pageAfter nor pageBefore are specified.

SHOULD NOT be used in conjuction with pageAfter.

pageAfter
string

A collection ID value used for pagination.

It marks the exclusive begin of a page. When provided, the collection resource will return the next n items after the id, with n being specified by pageSize.

The items will be returned in the natural order of the collection.

The resource will return the first page if neither pageAfter nor pageBefore are specified.

SHOULD NOT be used in conjuction with pageBefore.

pageSize
integer

Limits the number of items to be returned.

Some collections have a strict upper bound that will disregard this value. In case the specified value is higher than the allowed limit, the collection limit will be used.

If avoided, the collection will determine the page size itself.

Required range: x >= 1
Example:

5

Response

Successfully retrieved a list of credit repayments.

data
object[]